#!/bin/bash

if [ $# -ne 1 ]; then
	echo "Usage : ./auction_tracker.sh \"search terms\""
	exit -1
fi

result=$(curl -s https://www.bidspotter.co.uk/en-gb/search-results?searchTerm="$1" | rg -e "<h1>.*</h1>" | rg -oe "([1-9]+[0-9]*) item\(s\)")

if [ "$result" ]; then
	notify-send "Number of $1 listings : $result"
fi
